Retrieve a list
Returns a filtered list of work interruptions.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-work-interruptions.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the work interruption record. |
person.id |
integer | — | Read-only | Internal ID of the person this work interruption belongs to. |
date |
string | — | Read-only | Date for which the work interruption is recorded (YYYY-MM-DD). |
durationInMinutes |
integer | — | Read-only | Duration of the work interruption in minutes. |
startTimeInMinutes |
integer | — | Read-only | Start time of the work interruption (minutes since midnight). |
endTimeInMinutes |
integer | — | Read-only | End time of the work interruption (minutes since midnight). |
Filters
| Filter | Type | Description |
|---|---|---|
person |
Optional | Filter by specific person IDs |
date |
Required | Date range (required with max of 1 year range) |
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
409 |
Continuation token conflict (invalid or expired paging token) |
Examples
Filter on date range
Example with a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?filter=date ge '2024-01-01' and date le '2024-01-05'
Filter on people and a date range with external reference
Example with people, a date range and the employee number as an external reference:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?filter= person in (115,256,385) and date ge '2024-01-01' and date le '2024-01-05' &externalReferences=(people,@employee-number)